# Created by pyp2rpm-3.4.0
%define python3_pkgversion 3.11
%global pypi_name hatchling
%global pypi_version 1.27.0

%bcond_with tests # Enables tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Modern, extensible Python build backend

License:        MIT
URL:            https://hatch.pypa.io/latest/
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pathspec
BuildRequires:  python%{python3_pkgversion}-pluggy >= 1
BuildRequires:  python%{python3_pkgversion}-packaging >= 24.2
BuildRequires:  python%{python3_pkgversion}-trove-classifiers
BuildRequires:  pyproject-rpm-macros


%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%description
Modern, extensible Python build backend

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Modern, extensible Python build backend

Requires:       python%{python3_pkgversion}-packaging >= 24.2
Requires:       python%{python3_pkgversion}-pathspec >= 0.10.1
Requires:       python%{python3_pkgversion}-pluggy >= 1
Requires:       python%{python3_pkgversion}-trove-classifiers
%description -n python%{python3_pkgversion}-%{pypi_name}
Modern, extensible Python build backend


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%{pytest} tests
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.txt
%{_bindir}/hatchling
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info

%changelog
* Tue Feb 18 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.27.0-1
- Initial package.